# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'file_folder/version'

Gem::Specification.new do |spec|
  spec.name = "file_folder"
  spec.version = FileFolder::VERSION
  spec.authors = ["Rajeev Kannav Sharma"]
  spec.email = ["rajeevsharma86@gmail.com"]
  spec.summary = %q{
  Generates file field from file_field arguments and provides methods like assignment, assignment?, assignment_path,
assignment_path_to_write, assignment_persisted?, assignment_destroy!
  }
  spec.description = %q{
      #assignment >> Getter,
    #assignment? >> Returns true if assignment is having value other than nil else false,
    #assignment =  >> Setter. Acceptable inputs are file upload(ActionDispatch::Http::UploadedFile), filer handle and String(format validation is ignored),
    #assignment_path >> File path of assignment,
    #assignment_path_to_write >> File path of assignment to write (specific to writing. Used internally),
    #assignment_persisted? >> true if provided file/data is stored on disk,
    #assignment_store! >> to store provided  file/data on disk,
    #assignment_destroy! >> to store destroy stored file/data from disk


  }
  spec.homepage = ""
  spec.license = "MIT"

  spec.files = `git ls-files -z`.split("\x0")
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
end
